summary refs log tree commit diff
path: root/scripts-dev
diff options
context:
space:
mode:
authorAndrew Morgan <1342360+anoadragon453@users.noreply.github.com>2019-07-10 14:03:18 +0100
committerGitHub <noreply@github.com>2019-07-10 14:03:18 +0100
commit3dd61d12cdd66000b9cf078f8f485c0c40e4235e (patch)
tree594282b6ac2bad0ca145609e4e32f65c810866cb /scripts-dev
parentCorrect pep517 flag in readme (#5651) (diff)
downloadsynapse-3dd61d12cdd66000b9cf078f8f485c0c40e4235e.tar.xz
Add a linting script (#5627)
Add a dev script to cover all the different linting steps.
Diffstat (limited to 'scripts-dev')
-rwxr-xr-xscripts-dev/lint.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts-dev/lint.sh b/scripts-dev/lint.sh
new file mode 100755
index 0000000000..ebb4d69f86
--- /dev/null
+++ b/scripts-dev/lint.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+#
+# Runs linting scripts over the local Synapse checkout
+# isort - sorts import statements
+# flake8 - lints and finds mistakes
+# black - opinionated code formatter
+
+set -e
+
+isort -y -rc synapse tests scripts-dev scripts
+flake8 synapse tests
+python3 -m black synapse tests scripts-dev scripts